<?php
/**
 * Шаблон Bloody для CS:Bans 1.3
 * -----------------------------
 * Версия: 1.16
 * Автор:  Z.Gaming Pro Team
 * -----------------------------
 * http://zgaming-pro.com/
 * -----------------------------
 * Главная страница админцентра
 * -----------------------------
 * @author Craft-Soft Team
 * @package CS:Bans
 * @version 1.3
 * @copyright (C)2013 Craft-Soft.ru.  Все права защищены.
 * @link http://craft-soft.ru/
 * @license http://creativecommons.org/licenses/by-nc-sa/4.0/deed.ru  «Attribution-NonCommercial-ShareAlike»
 */

$page = 'Админцентр';
$this->pageTitle = $page.' - '.Yii::app()->name;
$this->breadcrumbs=array($page,);
Yii::app()->clientScript->registerScript('adminaction', "
$.post('".$this->createUrl('version')."', {'version': 1}, function(data){
	$('#version').html(data);
});
$('.bdaction').click(function(){
	if(!confirm('Вы подтверждаете свои действия?'))
	{
		return false;
	}
	if(this.id == 'truncatebans' && !confirm('Все баны будут удалены. Вы точно уверены?'))
	{
		return false;
	}
	$('#loading').show();
	$.post('".Yii::app()->createUrl('admin/actions')."', {'ajax': 1, 'action': this.id}, function(data) {eval(data);});
})
");?>
<div id="container">
    <div class="con_tit red">Админцентр</div>
        <div class="p_main">
            <?php $this->renderPartial('/admin/mainmenu', array('active' =>'main', 'activebtn' => 'admsystem'));$sysprefs = Prefs::sysprefs();?>
            <div class="p_main_con">
                <div class="p_man_l">
                    <div>
                        <h2 class="red">Информация о системе</h2>
                        <div class="hr"></div>
                    </div>
                    <table class="table table-bordered table-condensed">
                        <tr>
                            <td class="info black" colspan="2"><b>Настройки сервера</b></td>
                        </tr>
                        <tr>
                            <td style="width: 200px">Версия сайта</td>
                            <td id="version"><?php echo Yii::app()->params['Version'] ?> <?php echo CHtml::image(Yii::app()->baseUrl . '/images/loading.gif');?></td>
                        </tr>
                        <?php foreach($sysprefs['info'] as $key => $val):?>
                        <tr>
                            <td style="width: 200px"><?php echo $key;?></td>
                            <td><?php echo $val;?></td>
                        </tr>
                        <?php endforeach;?>
                        <tr>
                            <td class="info black" colspan="2"><b>PHP модули</b></td>
                        </tr>
                        <?php foreach($sysprefs['modules'] as $key => $val):?>
                        <tr>
                            <td style="width: 200px"><?php echo $key;?></td>
                            <td><?php echo $val;?></td>
                        </tr>
                        <?php endforeach; ?>
                    </table>
                </div>
                <div class="p_man_r">
                    <div>
                        <h2>Статистика</h2>
                        <div class="hr"></div>
                    </div>
                    <table class="table">
                        <tr>
                            <td><b>Размер базы данных</b></td>
                            <td><?php echo Prefs::db_size();?></td>
                        </tr>
                        <tr>
                            <td><b>Кол-во банов в базе</b></td>
                            <td><?php echo $sysinfo['bancount'];?></td>
                        </tr>
                        <tr>
                            <td><b>Активные баны</b></td>
                            <td><?php echo $sysinfo['bancount'];?></td>
                        </tr>
                        <tr>
                            <td><b>Комментарии</b></td>
                            <td><?php echo $sysinfo['commentscount'];?></td>
                        </tr>
                        <tr>
                            <td><b>Файлы</b></td>
                            <td><?php echo $sysinfo['filescount'];?></td>
                        </tr>
                    </table>
                    <div>
                        <h2>Действия</h2>
                        <div class="hr"></div>
                    </div>
                    <table class="table">
                        <tr>
                            <td>
                                <input type="button" class="btn btn-small btn-danger bdaction" id="clearcache" value="Очистить кеш"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="button" class="btn btn-small btn-danger bdaction" id="optimizedb" value="Оптимизация базы"/>
                            </td>
                        </tr>
                        <!-- Craft-Soft Team закрыли эту строчку, я тоже открывать не буду :) 
                        <tr>
                            <td>
                                <input type="button" class="btn btn-small btn-danger bdaction" id="optimizebanstable" value="Оптимизация таблицы банов">
                            </td>
                        </tr -->
                        <tr>
                            <td>
                                <input type="button" class="btn btn-small btn-danger bdaction" id="truncatebans" value="Очистить банлист"/>
                            </td>
                        </tr>
                    </table>
                </div>
                <div class="cle_h"></div>
            </div>
        <div class="p_main_bottom"></div>
    </div>
</div>